Subject: bug#23828: unsupported sexp item type #f ```

From: David Craven <[email-masked]>
Date: Thu, 23 Jun 2016 05:37:59 +0200

I'm running guix from
`/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin` since I
don't have my profile/PATH setup correctly yet. I was under the
impression that `./guix package -i guix` would create the right
symlinks in `/var/guix/profiles/per-user`.

Weird, `/etc/guix/acl` doesn't contain anything but `/etc/nix/acl` does:
```
sudo cat /etc/nix/acl
(acl
 (entry
  ()
  (tag
   (guix import)
   )
  )
 )
```

After `sudo rm -f /etc/nix/acl` guix or guix-daemon recreates the same
file and exits with the same stack trace.

Thank you
David

On Wed, Jun 22, 2016 at 11:28 PM, Ludovic Courtès <[email-masked]> wrote:
> Hi,
>
> David Craven <[email-masked]> skribis:
>
>> Maybe not a bug, but I'm getting the same backtrace when trying to run
>> ./guix archive or ./guix package -i guix or ./guix pull.
>
> Do you really type “./guix”?  From which directory?
>
>> bin  sudo ./guix archive --authorize < ../share/guix/hydra.gnu.org.pub
>>
>> /gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin
>> warning: failed to install locale: Invalid argument
>> Backtrace:
>> In ice-9/boot-9.scm:
>>  157: 17 [catch #t #<catch-closure 18097a0> ...]
>> In unknown file:
>>    ?: 16 [apply-smob/1 #<catch-closure 18097a0>]
>> In ice-9/boot-9.scm:
>>   63: 15 [call-with-prompt prompt0 ...]
>> In ice-9/eval.scm:
>>  432: 14 [eval # #]
>> In ice-9/boot-9.scm:
>> 2401: 13 [save-module-excursion #<procedure 1826940 at
>> ice-9/boot-9.scm:4045:3 ()>]
>> 4050: 12 [#<procedure 1826940 at ice-9/boot-9.scm:4045:3 ()>]
>> 1724: 11 [%start-stack load-stack ...]
>> 1729: 10 [#<procedure 183eea0 ()>]
>> In unknown file:
>>    ?: 9 [primitive-load
>> "/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin/.guix-real"]
>> In guix/ui.scm:
>> 1188: 8 [run-guix-command archive "--authorize"]
>> In ice-9/boot-9.scm:
>>  157: 7 [catch srfi-34 #<procedure 276d1c0 at guix/ui.scm:419:2 ()> ...]
>>  157: 6 [catch system-error ...]
>> In guix/scripts/archive.scm:
>>  328: 5 [#<procedure 276c7b0 at guix/scripts/archive.scm:318:2 ()>]
>>  303: 4 [authorize-key]
>> In ice-9/boot-9.scm:
>>  702: 3 [map #<procedure sexp->canonical-sexp (sexp)> (#f)]
>> In guix/pk-crypto.scm:
>>  375: 2 [sexp->canonical-sexp #f]
>> In unknown file:
>>    ?: 1 [call-with-output-string #<procedure 27704a0 at
>> guix/pk-crypto.scm:376:5 (port)>]
>>    ?: 0 [scm-error misc-error #f "~A ~S" ("unsupported sexp item type" #f) #f]
>>
>> ERROR: In procedure scm-error:
>> ERROR: unsupported sexp item type #f
>
> Could it be that /etc/guix/acl contains bogus data?
>
> Could you try, as root:
>
>   rm -f /etc/guix/acl
>   guix archive --authorize < /path/to/hydra.gnu.org.pub
>
> ?
>
> Thanks for the report,
> Ludo’.